"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var yogaWorker_1 = require("./workers/yogaWorker");
var base64ToBlobWorker_1 = require("./workers/base64ToBlobWorker");
var fetchWorker_1 = require("./workers/fetchWorker");
exports.uiWorker = function (config) {
    var yoga = config.yoga, fetch = config.fetch;
    if (process.env.NODE_ENV !== 'production') {
        if (typeof fetch !== 'function') {
            console.warn("Fetch function don't passed to uiWorker: useFetch cannot work correctly");
        }
        if (typeof yoga !== 'object') {
            console.warn("Yoga don't passed to uiWorker, auto-layout cannot work correctly");
        }
    }
    return function (event) {
        var message = event.data.pluginMessage;
        yogaWorker_1.yogaWorker(yoga)(message);
        base64ToBlobWorker_1.base64ToBlobWorker()(message);
        fetchWorker_1.fetchWorker(fetch)(message);
    };
};
//# sourceMappingURL=uiWorker.js.map